emaclite: xemaclite_ping_req_example.c File Reference

| emaclite Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

Functions
xemaclite_ping_req_example.c File Reference

## Overview

This file contains a EmacLite Ping request example in polled mode.

This example will generate a ping request for the specified IP address.

Note

The local IP address is set to 172.16.63.121. User needs to update LocalIpAddr variable with a free IP address based on the network on which this example is to be run.

The Destination IP address is set to 172.16.63.61. User needs to update DestIpAddress variable with any valid IP address based on the network on which this example is to be run.

The local MAC address is set to 0x000A35030201. User can update LocalMacAddr variable with a valid MAC address. The first three bytes contains the manufacture ID. 0x000A35 is XILINX manufacture ID.

This program will generate the specified number of ping request packets as defined in "NUM_OF_PING_REQ_PKTS".

    MODIFICATION HISTORY:

    Ver   Who  Date     Changes

    1.00a ktn  27/08/08 First release
    3.00a ktn  10/22/09 Updated example to use the macros that have been changed
                  in the driver to remove _m from the name of the macro.
    3.01a ktn  08/06/10 Updated the example to support little endian MicroBlaze.
    4.3   ms   01/23/17 Added xil_printf statement in main function to
                        ensure that "Successfully ran" and "Failed" strings
                        are available in all examples. This is a fix for
                        CR-965028.

## Functions
int | main ()
| This function is the main function of the Ping Request example in polled mode. More...

## Function Documentation

int main | ( | void |  | ) |

This function is the main function of the Ping Request example in polled mode.

Parameters

  None. |

Returns
  XST_FAILURE to indicate failure, otherwise it will return XST_SUCCESS after sending specified number of packets as defined in "NUM_OF_PING_REQ_PKTS" .

Note
  None.